%global major 0
%define libname %mklibname ucpp %major
%define devname %mklibname -d ucpp
Summary: Embeddable, quick, light and fully compliant ISO C99 preprocessor
Name: ucpp
Version: 1.3.4
Group: System/Libraries
Release: %mkrel 8
URL: https://github.com/scarabeusiv/ucpp
Source0: http://dev.gentooexperimental.org/%7Escarabeus/ucpp-%{version}.tar.xz
License: BSD
# fix rpath issue
BuildRequires: libtool

%description
A C preprocessor is a part of a C compiler responsible for macro replacement,
conditional compilation and inclusion of header files. It is often found as
a stand-alone program on Unix systems.

ucpp is such a preprocessor; it is designed to be quick and light, but anyway
fully compliant to the ISO standard 9899:1999, also known as C99. ucpp can be
compiled as a stand-alone program, or linked to some other code; in the latter
case, ucpp will output tokens, one at a time, on demand, as an integrated lexer.

%package -n %libname
Summary: Library for preprocessing C code compliant with ISO-C99
Group: System/Libraries
# temp fix:
%rename lib64XXX0

%description -n %libname
libucpp is an ISO standard 9899:1999 compliant preprocessing library for C
code. It will output tokens, one at a time, on demand, as an integrated lexer.

%package -n %devname
Group: Development/C
Summary: Development files for libucpp Library
Requires: %libname
# temp fix:
%rename lib64XXX-devel

%description -n %devname
libucpp is an ISO standard 9899:1999 compliant preprocessing library for C
code. It will output tokens, one at a time, on demand, as an integrated lexer.

This package contains the development files for the library.

%prep
%setup -q
# convert README to UTF-8
iconv -f iso8859-1 -t utf8 README >README.utf8 && \
 touch -r README.utf8 README && \
 mv README.utf8 README
# autoreconf to fix rpath issue
autoreconf -vif

%build
%configure \
           --disable-rpath \
           --disable-silent-rules \
           --disable-static \

%make

%install
make DESTDIR=%{buildroot} install
rm %{buildroot}%{_libdir}/libucpp.la


%files
%{_bindir}/ucpp
%{_mandir}/man1/ucpp.1*

%files -n %libname
%doc AUTHORS ChangeLog* COPYING README
%{_libdir}/libucpp.so.*

%files -n %devname
%{_includedir}/libucpp
%{_libdir}/libucpp.so
%{_libdir}/pkgconfig/libucpp.pc



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-8.mga5
+ Revision: 741345
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-7.mga5
+ Revision: 690012
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 1.3.4-6.mga5
+ Revision: 658724
- fix requires

* Thu Jul 31 2014 tv <tv> 1.3.4-5.mga5
+ Revision: 658716
- fix package name

* Thu Jul 31 2014 tv <tv> 1.3.4-4.mga5
+ Revision: 658634
- fix file list
- imported package ucpp

